Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CyclicBuffer Member List

This is the complete list of members for CyclicBuffer, including all inherited members.

add(const spi::LoggingEventPtr &event) | CyclicBuffer |
CyclicBuffer(int maxSize) | CyclicBuffer |
get(int i) | CyclicBuffer |
get() | CyclicBuffer |
getMaxSize() const | CyclicBuffer | inline
length() const | CyclicBuffer | inline
resize(int newSize) | CyclicBuffer |
~CyclicBuffer() | CyclicBuffer |